JOURNAL_DIRTY_DATA(9)

NAME
journal_dirty_data - mark a buffer as containing dirty data which

SYNOPSIS

int journal_dirty_data (handle_t * handle, struct buffer_head * bh);

ARGUMENTS

handle
    transaction

bh  bufferhead to mark

DESCRIPTION

The buffer is placed on the transaction's data list and is marked as belonging to the transaction.

Returns error number or 0 on success.

 journal_dirty_data can be called via page_launder->ext3_writepage by kswapd.

DESCRIPTION

The buffer is placed on the transaction's data list and is marked as belonging to the transaction.

Returns error number or 0 on success.

 journal_dirty_data can be called via page_launder->ext3_writepage by kswapd.

AUTHORS
Roger Gammans <rgammans@computer-surgery.co.uk>, Stephen Tweedie <sct@redhat.com>.